#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qt5-rpm-macros
Version		:	5.0
Release		:	17.2.0.rel%{?dist}
Summary		:	RPM macros for QT Frameworks 6

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
RPM macros for building QT Frameworks 5 packages.
 
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_rpmmacrodir}/macros.qt5

#=============================================================================
%prep 
%setup -q
#-----------------------------------------------------------------------------
%build 

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__mkdir_p} %{buildroot}/%{_rpmmacrodir}
%{__cp} -a macros.qt5 %{buildroot}/%{_rpmmacrodir}


# substitute custom flags, and the path to binaries: binaries referenced from
# macros should not change if an application is built with a different prefix.
# %_libdir is left as /usr/%{_lib} (e.g.) so that the resulting macros are
# architecture independent, and don't hardcode /usr/lib or /usr/lib64.
sed -i								\
  -e "s|@@QT5_CFLAGS@@|%{?qt6_cflags}|g"			\
  -e "s|@@QT5_CXXFLAGS@@|%{?qt6_cxxflags}|g"			\
  -e "s|@@QT5_RPM_LD_FLAGS@@|%{?qt6_rpm_ld_flags}|g"		\
  -e "s|@@QT5_RPM_OPT_FLAGS@@|%{?qt6_rpm_opt_flags}|g"		\
  -e "s|@@QMAKE@@|%{_prefix}/%%{_lib}/qt6/bin/qmake|g"		\
  -e "s|@@QMAKE_QT5_WRAPPER@@|%{_bindir}/qmake-qt6.sh|g"	\
  %{buildroot}%{_rpmmacrodir}/macros.qt5

#-----------------------------------------------------------------------------
%changelog
